Skip to main content

Moodle 3.0.1 støtter PHP 7

skrevet av Memet Ødegaard Cataltepe |

I 2015 ble Moodle 3.0 sluppet. Denne versjonen kom med mange nye funksjoner og forbedringer for administratorer og brukere. Planene videre for Moodle 3.0 er PHP 7 støtte.

Enovation la ut i 2015 en artikkel der de testet ut Moodle 3.0 med PHP 7. Moodle 3.0 støtter ikke PHP 7, men med noen modifikasjoner i koden og versjonkontroll slått av var ikke dette noe problem.

I artikkelen går de gjennom en test der de viser store forbedringer på hvor fort Moodle klarer å kjøre forskjellige PHP script samt hvor mye minne som brukes ved hver spørring.

Sluttresultatet viser nesten dobbelt så rask ytelse med PHP 7.
Les mer her.

Rett før jul annonserte Moodle at versjon 3.0.1 støtter PHP 7. PHP 7 ble offisielt gitt 3. desember 2015, og annonserte 17. desember at versjon 7.0.1 var ute.

Det kommer til å bli et interessant år, og vi ser frem til å følge med på utviklingen av Moodle 3.0 og PHP 7.

Tilbake